<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Municipio extends Model
{
    protected $table = 'ibge.municipios';
    protected $fillable = ['id', 'nome'];

    public function search($filter = null)
    {
        $results = $this->where(function ($query) use ($filter){
            if($filter){
                $query->where('nome', "$filter}");
            }
        })//->toSql();
        ->paginate();
        return $results;
    }

    public function gleba()
    {
        return $this->hasOne(Glebas::class);
    }  

    public function lotes()
    {
        return $this->hasMany(Lote::class);
    }  

}
